## therion 5.3.3

=== Makefile ===
# common therion objects
CMNOBJECTS = thdate.o extern/shpopen.o extern/dbfopen.o \
  thexception.o thbuffer.o thmbuffer.o thlogfile.o thtmpdir.o thlocale.o \
  thparse.o thcmdline.o thconfig.o thinput.o thchenc.o thdatabase.o \
  thdataobject.o thdatareader.o thsurvey.o thendsurvey.o thdata.o \
  thperson.o thtf.o thtfangle.o thtflength.o thtfpwf.o \
  thdataleg.o thobjectname.o thinfnan.o thlayout.o \
  thinit.o thdb1d.o thsvxctrl.o thdatastation.o thobjectid.o \
  thobjectsrc.o thgrade.o thlibrary.o thgeomag.o thbezier.o \
  thexport.o thexporter.o thselector.o extern/img.o \
  thexpmodel.o thdb2d00.o thscrapis.o thcsdata.o thexptable.o \
  thdb2d.o thscrap.o thendscrap.o th2ddataobject.o thdb2dprj.o \
  thdb2dpt.o thdb2dlp.o thdb2dab.o thdb2dji.o thdb2dmi.o thdb2dcp.o \
  thdb2dxm.o thdb2dxs.o thscraplo.o thscraplp.o thscrapen.o \
  thpoint.o thline.o tharea.o thlegenddata.o thmpost.o thsymbolsets.o \
  thjoin.o thmap.o thexpmap.o thlayoutln.o thlayoutclr.o thexpsys.o thexpuni.o \
  thconvert.o thpdf.o thpdfdbg.o thpdfdata.o thtexfonts.o \
  thsymbolset.o thlang.o thmapstat.o thexpdb.o thpic.o thsketch.o thproj.o \
  extern/lxMath.o extern/lxFile.o thcdt.o thdb3d.o thsurface.o thimport.o thsvg.o thepsparse.o \
  thtrans.o thwarpp.o thwarppt.o thwarppme.o thwarp.o thexpshp.o thattr.o thtex.o \
  therion.o extern/proj4/libproj.a 

# PLATFORM CONFIG

# PLATFORM LINUX
##CXX = g++
##CC = gcc
##POBJECTS =
##LOCHEXE = loch/loch
##CXXPFLAGS = -DTHLINUX
##CCPFLAGS = -DTHLINUX
##LDPFLAGS = -s
##THPLATFORM = LINUX
##THXTHMKCMD = ./therion


# PLATFORM DEBIAN
CXX = c++
CC = gcc
POBJECTS =
LOCHEXE = loch/loch
CXXPFLAGS = -DTHLINUX
CCPFLAGS = -DTHLINUX
LDPFLAGS = -s
THPLATFORM = LINUX
THXTHMKCMD = ./therion


# PLATFORM WIN32
##CXX = c++
##CC = gcc
##POBJECTS = extern/getopt.o extern/getopt1.o therion.res extern/getline.o 
##LOCHEXE = loch/loch
##CXXPFLAGS = -DTHWIN32
##CCPFLAGS = -DTHWIN32
##LDPFLAGS = -static-libgcc -static -s
##THPLATFORM = WIN32
##THXTHMKCMD = therion

# PLATFORM MACOSX
##CXX = c++
##CC = cc
##LOCHEXE =
##POBJECTS = extern/getopt.o extern/getopt1.o extern/getline.o
##CXXPFLAGS = -DTHMACOSX
##CCPFLAGS = -DTHMACOSX
##LDPFLAGS =
##THPLATFORM = MACOSX
##THXTHMKCMD = ./therion

# PLATFORM ENDCONFIG


# BUILD CONFIG

# BUILD OZONE
##CCBFLAGS = -O3
##CXXBFLAGS = -O3
##LDBFLAGS = $(LDPFLAGS)

# BUILD OXYGEN
CCBFLAGS = -O2
CXXBFLAGS = -O2
LDBFLAGS = $(LDPFLAGS)

# BUILD RELEASE
##CCBFLAGS = 
##CXXBFLAGS = 
##LDBFLAGS = $(LDPFLAGS)

# BUILD DEBUG
##CCBFLAGS = -ggdb
##CXXBFLAGS = -ggdb -DTHDEBUG
##LDBFLAGS = 

# BUILD ENDCONFIG


# compiler settings
CXXFLAGS = -Wall $(CXXPFLAGS) $(CXXBFLAGS)
CCFLAGS = -Wall $(CCPFLAGS) $(CCBFLAGS)
OBJECTS = $(POBJECTS) $(CMNOBJECTS)


# linker settings
LIBS = 
LDFLAGS = $(LDBFLAGS)


.SUFFIXES:
.SUFFIXES: .cxx .o .h .c

.cxx.o:
	$(CXX) -c $(CXXFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CCFLAGS) -o $@ $<

all: therion doc xtherion/xtherion $(LOCHEXE)

extern/proj4/libproj.a: extern/proj4/*.c extern/proj4/*.h
	make -C ./extern/proj4

therion:	$(OBJECTS)
	$(CXX) -Wall -o therion $(OBJECTS) $(LDFLAGS) $(LIBS) 


therion.res: therion.rc
	windres -i therion.rc -J rc -o therion.res -O coff

init:
	./therion --print-init-file > therion.ini

install: all
	tclsh makeinstall.tcl $(THPLATFORM)


minor-release:
	perl makerelease.pl

archive: clean
	perl makearchive2.pl

release: clean
	perl makearchive.pl

binary: all doc
	perl makebinary.pl $(THPLATFORM)
  
depend:
	perl makedepend.pl > Makefile.dep
	perl maketest.pl Makefile.dep
	perl makefile.pl mv Makefile.dep Makefile
	$(CXX) -MM $(CXXFLAGS) *.cxx >> Makefile

library:
	$(THXTHMKCMD) --print-library-src thlibrarydata.thcfg > thlibrarydata.log
	$(THXTHMKCMD) --print-xtherion-src > xtherion/therion.tcl
	perl makelibrary.pl thlibrarydata.log > thlibrarydata.tmp
	perl maketest.pl thlibrarydata.tmp
	perl makefile.pl mv thlibrarydata.tmp thlibrarydata.cxx

thlibrarydata.cxx: thlang/texts.txt
	make library

xtherion/xtherion: xtherion/*.tcl
	make -C ./xtherion

loch/loch: loch/*.h loch/*.cxx loch/*.c
	make -C ./loch

doc: thbook/thbook.pdf

thbook: thbook/thbook.pdf

samples: samples.doc/index.tex

samples.doc/index.tex:
	make -C ./samples

thbook/thbook.pdf: thbook/*.tex
	make -C ./thbook
  
clean:
	make -C ./xtherion clean
	make -C ./loch clean
	make -C ./samples clean
	make -C ./extern/proj4 clean
	perl makefile.pl rm -q therion ./xtherion/xtherion ./xtherion/xtherion.tcl therion.exe *~ *.log *.o thchencdata/*~ .xtherion.dat
	perl makefile.pl rm -q xtherion/*~ .xth_thconfig_xth xtherion/screendump thlang/*~
	perl makefile.pl rm -q extern/*.o extern/*~ samples/*~ samples/*.log
	perl makefile.pl rm -q symbols.html therion.res
	perl makefile.pl rm -q tri/*.o tri/*~
	perl makefile.pl rm -q tex/*~
	perl makefile.pl rm -q mpost/*~ examples/*~ examples/therion.log
	perl makefile.pl rm -q core symbols.xhtml cave.kml
	perl makefile.pl rm -q data.3d data.svx data.pos data.pts data.err data.plt
	perl makefile.pl rm -q cave.3d cave.lox cave.thm cave.pdf cave.sql cave.xhtml therion.tcl cave_a.pdf cave_m.pdf cave.vrml cave.wrl cave.3dmf cave.svg cave.tlx
	perl makefile.pl rm -q ./thbook/*~ ./thbook/thbook.log ./thbook/thbook.pdf ./lib/*~ ./mpost/*~ ./tex/*~
	perl makefile.pl rmdir -q doc thTMPDIR samples.doc symbols cave.shp tests/.doc

thmpost.h: mpost/*.mp
	make -C ./mpost

thsymbolsetlist.h: thsymbolsetlist.pl mpost/thTrans.mp
	perl thsymbolsetlist.pl
  
thtex.h: tex/*.tex
	make -C ./tex

thcsdata.h: thcsdata.tcl
	tclsh thcsdata.tcl
  
update:
	make -C ./thlang update

unixify: clean
	tclsh makeunixify.tcl
  
thlangdata.cxx: thlang/texts.txt
	make -C ./thlang

config-debug:
	perl makeconfig.pl BUILD DEBUG
	make -C ./loch config-debug
  
config-release:
	perl makeconfig.pl BUILD RELEASE
	make -C ./loch config-release

config-oxygen:
	perl makeconfig.pl BUILD OXYGEN
	make -C ./loch config-oxygen
  
config-ozone:
	perl makeconfig.pl BUILD OZONE
	make -C ./loch config-ozone

config-debian:
	perl makeconfig.pl PLATFORM DEBIAN
	make -C ./loch config-debian
  
config-linux:
	perl makeconfig.pl PLATFORM LINUX
	make -C ./loch config-linux
  
config-win32:
	perl makeconfig.pl PLATFORM WIN32
	make -C ./loch config-win32
  
config-macosx:
	perl makeconfig.pl PLATFORM MACOSX
	make -C ./loch config-macosx

# external sources
extern/getopt.o: extern/getopt.c extern/getopt.h
extern/getopt1.o: extern/getopt1.c
extern/img.o: extern/img.c extern/img.h
tri/construct.o: tri/triangulate.h tri/construct.c
tri/misc.o: tri/triangulate.h tri/misc.c
tri/monotone.o: tri/triangulate.h tri/monotone.c
tri/tri.o: tri/triangulate.h tri/tri.c

# DEPENDENCIES
th2ddataobject.o: th2ddataobject.cxx th2ddataobject.h thdataobject.h \
 thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
 thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
 thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h thmapstat.h \
 thdate.h thperson.h thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h \
 thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h \
 thlayoutln.h thscrapen.h thscraplp.h thexception.h thsymbolset.h \
 thsymbolsetlist.h
tharea.o: tharea.cxx tharea.h th2ddataobject.h thdataobject.h \
 thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
 thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
 thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h thmapstat.h \
 thdate.h thperson.h thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h \
 thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h \
 thlayoutln.h thscrapen.h thscraplp.h thexception.h thexpmap.h thexport.h \
 thsymbolset.h thsymbolsetlist.h thlayout.h thlocale.h thlang.h \
 thlangdata.h thline.h
thattr.o: thattr.cxx thattr.h thmbuffer.h thchenc.h thchencdata.h \
 thparse.h thbuffer.h extern/shapefil.h thexception.h therion.h
thbezier.o: thbezier.cxx thbezier.h
thbuffer.o: thbuffer.cxx thbuffer.h
thcdt.o: thcdt.cxx thcdt.h thcdt/geom2d.h thcdt/myMacro.h thcdt/cdt.h \
 thcdt/cdt.cpp
thchenc.o: thchenc.cxx thchenc.h thchencdata.h thparse.h thbuffer.h \
 thmbuffer.h thchencdata.cxx therion.h thexception.h
thchencdata.o: thchencdata.cxx
thcmdline.o: thcmdline.cxx thcmdline.h therion.h thlogfile.h thbuffer.h \
 thconfig.h thmbuffer.h thinput.h thparse.h thexporter.h thexport.h \
 thobjectsrc.h thselector.h thtmpdir.h extern/getopt.h
thconfig.o: thconfig.cxx thconfig.h thbuffer.h thmbuffer.h thinput.h \
 thparse.h thexporter.h thexport.h thobjectsrc.h thselector.h therion.h \
 thlang.h thlangdata.h thchenc.h thchencdata.h thexception.h thdatabase.h \
 thdataobject.h thperson.h thdate.h thdataleg.h thobjectname.h thinfnan.h \
 thdb1d.h thobjectid.h thdb3d.h thattr.h thdb2d.h thdb2dprj.h thmapstat.h \
 thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h \
 thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h \
 thscraplp.h thdatareader.h thcsdata.h thproj.h thlogfile.h thinit.h \
 thgeomag.h thgeomagdata.h thlayout.h thsymbolset.h thsymbolsetlist.h \
 thlocale.h thsketch.h thpic.h
thconvert.o: thconvert.cxx thpdfdbg.h thexception.h therion.h thbuffer.h \
 thpdfdata.h thepsparse.h thtexfonts.h
thcsdata.o: thcsdata.cxx thcsdata.h thparse.h thbuffer.h thmbuffer.h
thdata.o: thdata.cxx thdata.h thdataleg.h thparse.h thbuffer.h \
 thmbuffer.h thobjectname.h therion.h thobjectsrc.h thinfnan.h \
 thdataobject.h thdatabase.h thdb1d.h thobjectid.h thdb3d.h thattr.h \
 thchenc.h thchencdata.h thdb2d.h thdb2dprj.h thmapstat.h thdate.h \
 thperson.h thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h \
 thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h \
 thscrapen.h thscraplp.h thtfangle.h thtf.h thtflength.h thtfpwf.h \
 thexception.h thsurvey.h thgrade.h thcsdata.h thdatareader.h thinput.h
thdatabase.o: thdatabase.cxx thdatabase.h thdataobject.h thperson.h \
 thparse.h thbuffer.h thmbuffer.h thdate.h thdataleg.h thobjectname.h \
 therion.h thobjectsrc.h thinfnan.h thdb1d.h thobjectid.h thdb3d.h \
 thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h thmapstat.h \
 thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h \
 thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h \
 thscraplp.h thsurvey.h thtfpwf.h thendsurvey.h thexception.h thdata.h \
 thtfangle.h thtf.h thtflength.h thcmdline.h thdatastation.h thgrade.h \
 thlayout.h thsymbolset.h thsymbolsetlist.h thlocale.h thscrap.h \
 thsketch.h thpic.h thtrans.h th2ddataobject.h thpoint.h thline.h \
 tharea.h thjoin.h thmap.h thimport.h thsurface.h thendscrap.h
thdataleg.o: thdataleg.cxx thdataleg.h thparse.h thbuffer.h thmbuffer.h \
 thobjectname.h therion.h thobjectsrc.h thinfnan.h
thdataobject.o: thdataobject.cxx thdataobject.h thdatabase.h thmbuffer.h \
 thbuffer.h thdb1d.h thobjectid.h thinfnan.h thdataleg.h thparse.h \
 thobjectname.h therion.h thobjectsrc.h thdb3d.h thattr.h thchenc.h \
 thchencdata.h thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h \
 thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h \
 thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h \
 thscraplp.h thexception.h thsurvey.h thtfpwf.h thconfig.h thinput.h \
 thexporter.h thexport.h thselector.h thcsdata.h thproj.h
thdatareader.o: thdatareader.cxx thdatareader.h thdatabase.h \
 thdataobject.h thperson.h thparse.h thbuffer.h thmbuffer.h thdate.h \
 thdataleg.h thobjectname.h therion.h thobjectsrc.h thinfnan.h thdb1d.h \
 thobjectid.h thdb3d.h thattr.h thchenc.h thchencdata.h thdb2d.h \
 thdb2dprj.h thmapstat.h thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h \
 thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h \
 thlayoutln.h thscrapen.h thscraplp.h thinput.h thexception.h
thdatastation.o: thdatastation.cxx thdatastation.h thdataobject.h \
 thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
 thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
 thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h thmapstat.h \

=== loch/Makefile ===
# common therion objects
CMNOBJECTS = \
  lxTR.o lxOGLFT.o lxSetup.o lxRender.o lxWX.o \
  lxImgIO.o lxLRUD.o lxFile.o lxSTree.o \
  lxData.o lxMath.o lxSView.o lxSScene.o \
  lxGUI.o lxGLC.o lxOptDlg.o lxAboutDlg.o \
  img.o

VTKVERSION = 5.4
VTKLIBS = -lvtkHybrid -lvtkImaging -lvtkIO -lvtkGraphics -lvtkFiltering -lvtkCommon -lvtkjpeg -lvtkpng -lvtkzlib -lvtksys -lfreetype
POSTMAKE =
STRIPFLAG = -s 

# PLATFORM CONFIG

# PLATFORM LINUX
##CXX = c++
##CC = gcc
##POBJECTS = lxR2P.o
##VTKPATH = /usr/local/include/vtk-$(VTKVERSION)
##VTKLIBPATH = /usr/local/lib/vtk-$(VTKVERSION)
##CXXPFLAGS = -DLXLINUX $(shell wx-config --cxxflags) -Wno-deprecated $(shell freetype-config --cflags) -I$(VTKPATH)
##CCPFLAGS = -DLXLINUX  $(shell wx-config --cflags)
##LXLIBDIR = linux
##PLIBS = $(shell wx-config --libs --gl-libs) -L$(VTKLIBPATH) $(VTKLIBS) -lGLU -lpthread -lz 
##LXPLATFORM = LINUX

# PLATFORM DEBIAN
CXX = c++
CC = gcc
POBJECTS = lxR2P.o
VTKPATH = /usr/include/vtk-$(VTKVERSION)
VTKLIBPATH = /usr/lib/vtk-$(VTKVERSION)
VTKLIBS = -lvtkHybrid -lvtkImaging -lvtkIO -lvtkGraphics -lvtkFiltering -lvtkCommon -lfreetype
CXXPFLAGS = -DLXLINUX $(shell wx-config --cxxflags) -Wno-deprecated $(shell freetype-config --cflags) -I$(VTKPATH)
CCPFLAGS = -DLXLINUX  $(shell wx-config --cflags)
LXLIBDIR = linux
PLIBS = $(shell wx-config --libs --gl-libs) -L$(VTKLIBPATH) $(VTKLIBS) -lGLU -lpthread -lz 
LXPLATFORM = LINUX

# PLATFORM WIN32
##CXX = c++
##CC = gcc
##VTKPATH = /usr/local/include/vtk-$(VTKVERSION)
##VTKLIBPATH = /usr/local/lib/vtk-$(VTKVERSION)
##POBJECTS = loch.res lxR2D.o getline.o
##CXXPFLAGS = -W -Wall -DLXWIN32 $(shell wx-config --static --cxxflags) $(shell freetype-config --cflags) -I$(VTKPATH) -Wno-deprecated
##CCPFLAGS = -W -Wall -DLXWIN32 $(shell wx-config --static --cflags)
##LXLIBDIR = mingw
##PLIBS = $(shell freetype-config --libs) $(shell wx-config --static --libs --gl-libs) -L$(VTKLIBPATH) $(VTKLIBS)
##LXPLATFORM = WIN32
##STRIPFLAG = -static-libgcc -static -s


# PLATFORM MACOSX
##CXX = c++
##CC = cc
##VTKPATH = /usr/local/include/vtk-$(VTKVERSION)
##VTKLIBPATH = /usr/local/lib/vtk-$(VTKVERSION)
##POBJECTS = getline.o
##CXXPFLAGS = -W -Wall -DLXMACOSX $(shell wx-config --static --cxxflags) -I$(VTKPATH) -Wno-deprecated -I/usr/X11R6/include -I/usr/X11R6/include/freetype2
##CCPFLAGS = -W -Wall -DLXMACOSX $(shell wx-config --static --cflags) -I/usr/X11R6/include
##LXLIBDIR = 
##PLIBS = -lz -L/usr/X11R6/lib $(shell wx-config --static --libs --gl-libs) -L$(VTKLIBPATH) $(VTKLIBS)
##POSTMAKE = cp -f ./loch ./loch.app/Contents/MacOS
##STRIPFLAG =

# PLATFORM ENDCONFIG


# BUILD CONFIG

# BUILD OZONE
##CCBFLAGS = -O3
##CXXBFLAGS = -O3
##LDBFLAGS = $(STRIPFLAG)

# BUILD OXYGEN
CCBFLAGS = -O2
CXXBFLAGS = -O2
LDBFLAGS = $(STRIPFLAG)

# BUILD RELEASE
##CCBFLAGS = 
##CXXBFLAGS = 
##LDBFLAGS = $(STRIPFLAG)

# BUILD DEBUG
##CCBFLAGS = -ggdb
##CXXBFLAGS = -ggdb -DLXDEBUG
##LDBFLAGS = 

# BUILD ENDCONFIG


# compiler settings
CXXFLAGS = -Wall -D_GNU_SOURCE -DLOCH $(CXXPFLAGS) $(CXXBFLAGS)
CCFLAGS = -Wall -D_GNU_SOURCE -DLOCH $(CCPFLAGS) $(CCBFLAGS)
OBJECTS = $(POBJECTS) $(CMNOBJECTS)

# linker settings
LIBS = $(PLIBS)
LDFLAGS = $(LDBFLAGS)


.SUFFIXES:
.SUFFIXES: .cxx .o .h .c

.cxx.o:
	$(CXX) -c $(CXXFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CCFLAGS) -o $@ $<

all: loch hlp

hlp:
	make -C ./help

loch:	$(OBJECTS)
	$(CXX) -o loch -Wall $(OBJECTS) $(LIBS) $(LDFLAGS)
	$(POSTMAKE)

loch.res: loch.rc loch.ico
	windres --include-dir e:/MSVCProjects/wxWidgets-2.6.0/include -i loch.rc -I rc -o loch.res -O coff

graphs: 
	dot -Tps graph-vispipe.dot -o graph-vispipe.ps


depend:
	perl makedepend.pl > Makefile.dep
	perl maketest.pl Makefile.dep
	perl makefile.pl mv Makefile.dep Makefile
	$(CXX) -DLXDEPCHECK -DLOCH -MM *.cxx >> Makefile
	$(CC) -DLXDEPCHECK -DLOCH -MM *.c >> Makefile
  

config-debug:
	perl makeconfig.pl BUILD DEBUG

test-release:
	zip -9 loch.zip loch.exe test.th test.jpg thconfig
  
config-release:
	perl makeconfig.pl BUILD RELEASE

config-oxygen:
	perl makeconfig.pl BUILD OXYGEN
  
config-ozone:
	perl makeconfig.pl BUILD OZONE
  
config-linux:
	perl makeconfig.pl PLATFORM LINUX

config-debian:
	perl makeconfig.pl PLATFORM DEBIAN
  
config-win32:
	perl makeconfig.pl PLATFORM WIN32
  
config-macosx:
	perl makeconfig.pl PLATFORM MACOSX

clean:
	perl makefile.pl rm -q *~     
	perl makefile.pl rm -q help/*/*~
	perl makefile.pl rm -q loch.exe
	perl makefile.pl rm -q loch
	perl makefile.pl rm -q loch.app/Contents/MacOS/loch
	perl makefile.pl rm -q *.o
	perl makefile.pl rm -q *.log
	perl makefile.pl rm -q core
	perl makefile.pl rmdir -q .xvpics
	perl makefile.pl rm -q *.bmp
	perl makefile.pl rm -q *.ppm
	perl makefile.pl rm -q *.zip
	perl makefile.pl rm -q *.pdf
	perl makefile.pl rm -q *.png
  


# DEPENDENCIES
lxAboutDlg.o: lxAboutDlg.cxx lxWX.h icons/about.xpm ../thversion.h
lxData.o: lxData.cxx lxData.h lxMath.h lxImgIO.h lxFile.h lxLRUD.h
lxFile.o: lxFile.cxx lxFile.h lxMath.h img.h
lxGLC.o: lxGLC.cxx lxGLC.h lxMath.h lxGUI.h lxData.h lxImgIO.h lxFile.h \
  lxSetup.h lxSView.h lxWX.h lxFNT6x13_bdf.h lxFNT10x20_bdf.h \
  lxFNTFreeSans_ttf.h lxRender.h lxTR.h
lxGUI.o: lxGUI.cxx lxGUI.h lxGLC.h lxMath.h lxData.h lxImgIO.h lxFile.h \
  lxSetup.h lxRender.h lxOptDlg.h lxAboutDlg.h lxSView.h lxWX.h \
  lxSScene.h icons/open.xpm icons/render.xpm icons/reload.xpm \
  icons/stereo.xpm icons/rotation.xpm icons/lockrot.xpm icons/fit.xpm \
  icons/home.xpm icons/rendersetup.xpm icons/plan.xpm icons/profile.xpm \
  icons/fullscreen.xpm icons/orto.xpm icons/camera.xpm icons/scene.xpm \
  icons/viscline.xpm icons/vissurface.xpm icons/visbbox.xpm \
  icons/viswalls.xpm icons/visinds.xpm loch.xpm
lxImgIO.o: lxImgIO.cxx lxImgIO.h
lxLRUD.o: lxLRUD.cxx lxLRUD.h lxMath.h
lxMath.o: lxMath.cxx lxMath.h
lxOGLFT.o: lxOGLFT.cxx lxOGLFT.h
lxOptDlg.o: lxOptDlg.cxx lxWX.h lxGUI.h lxGLC.h lxMath.h
lxRender.o: lxRender.cxx lxRender.h lxWX.h lxGLC.h lxMath.h lxGUI.h \
  lxSetup.h lxData.h lxImgIO.h lxFile.h lxTR.h
lxSScene.o: lxSScene.cxx lxSScene.h lxWX.h lxGUI.h lxGLC.h lxMath.h \
  lxSetup.h lxData.h lxImgIO.h lxFile.h loch.xpm
lxSView.o: lxSView.cxx lxSView.h lxWX.h lxGUI.h lxGLC.h lxMath.h \
  lxSetup.h lxData.h lxImgIO.h lxFile.h loch.xpm
lxSetup.o: lxSetup.cxx lxSetup.h lxData.h lxMath.h lxImgIO.h lxFile.h
lxWX.o: lxWX.cxx lxWX.h
getline.o: getline.c
img.o: img.c img.h
lxR2D.o: lxR2D.c lxR2D.h
lxR2P.o: lxR2P.c lxR2P.h
lxTR.o: lxTR.c lxTR.h

=== xtherion/Makefile ===
all:	xtherion

xtherion: *.tcl
	tclsh mkall.tcl

survex:
	tclsh mkall.tcl survex
	tar -cvzf ../../../svxedit.tar.gz svxedit
	perl ../makefile.pl rm -q svxedit

clean:
	perl ../makefile.pl rm -q *~
	perl ../makefile.pl rm -q ../../bin/xtherion
	perl ../makefile.pl rm -q thlang/*~
	perl ../makefile.pl rm -q svxedit
	perl ../makefile.pl rm -q xtherion.tar.gz
	perl ../makefile.pl rm -q svxedit.tar.gz

update:
	make -C ./lang update
  
msgxth.tcl: lang/xtexts.txt
	make -C ./lang

=== debian/changelog ===
therion (5.3.3-1ubuntu1) natty; urgency=low

  * debian/patches/99-binutils-gold.patch: Add -lpng12 -ljpeg -lX11
    for binutils-gold, fixes FTBFS. (LP: #670686)

 -- Roy Jamison <xteejyx@googlemail.com>  Wed, 03 Nov 2010 23:19:24 +0000

therion (5.3.3-1) unstable; urgency=low

  * New upstream release.

 -- wookey <wookey@wookware.org>  Sun, 06 Jun 2010 23:51:08 +0100

therion (5.3.0-1) unstable; urgency=low

  * New upstream release. closes:Bug#565049
  * Switch to dpkg-source 3.0 (quilt) format, and stop packaging the
     wiki docs closes:Bug#576053

 -- Wookey <wookey@debian.org>  Tue, 06 Apr 2010 02:41:17 +0100

=== debian/control ===
Source: therion
Section: science
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Wookey <wookey@debian.org>
Build-Depends: debhelper (>= 7.0.50~), perl (>= 5.5), docbook-to-man, texlive-base, texlive-metapost, tcl8.5 | tclsh, libvtk5-dev, libwxgtk2.6-dev, libfreetype6-dev, libjpeg62-dev, libpng12-dev, imagemagick, ghostscript
Standards-Version: 3.8.4

Package: therion
Architecture: any
Depends: ${shlibs:Depends}, tcl8.5 | wish, texlive-base, texlive-metapost, bwidget
Recommends: evince | pdf-viewer, libtk-img, therion-viewer, survex
Suggests: survex-aven, texlive-lang-czechslovak, texlive-lang-cyrillic
Description: Cave surveying - 2D and 3D drawing software
 Therion aids the process of drawing up cave surveys (maps). Drawings are 
 done over scans and can be distorted to fit the centreline data. Output is 
 in single sheet or atlas style PDF or SVG files. All data is stored in text 
 files and a map  editor (xtherion) is provided to aid in the creation of the 
 files. 
 .
 Therion can also produce 3D models, generated from walls and passage-heights. 
 Output formats supported are Survex .3d files, VRML, DXF, SVG, shapefiles, 
 and the native .loc and older .thm (therion model). Therion is compatible with 
 Survex, and centreline data can be stored in Survex or Therion form. Centreline 
 data and sketches can be imported from PocketTopo.
 .
 TeX and metapost are used to generate the images. libtk-img is needed to use 
 scans in formats other than GIF and PNM (such as PNG and JPEG).
 Survex will be used for loop-closure if installed, but is not required.
 .
 You will need appropriate TeX language packages to process therion files which 
 specify those character sets: Texlive-lang-czechslovak is needed to process 
 the examples, and texlive-lang-cyrillic is also suggested. See README.Debian 
 for details
 


Package: therion-viewer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, therion
Description: Cave surveying - 3D viewer for therion models
 Therion is cave-survey drawing and modelling software. This package contains 
 the 3D model viewer for therion models produced by version 0.4 or later.
 
Package: therion-doc
Section: doc
Architecture: all
Recommends: therion 
Replaces: therion (<< 0.5.0)
Description: Documentation for Therion Cave surveying software 
 Therion is cave-survey drawing and modelling software. This package
 includes the thbook which is the specification for the therion data
 description language. This is not the easiest way to get started;
 there is much more documentation in the Therion wiki:
 http://therion.speleo.sk/wiki/doku.php with introductory guides, FAQs
 and examples. Read those first.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

#%:
#	dh  $@
#
# Use override_dh_* targets to customize this.
# ---------------------------------------------------
#
build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	/usr/bin/docbook-to-man debian/manloch.sgml > man/loch.1
	ln -sf loch.1 man/therion-viewer.1
	# create therion.ini file:
	#$(MAKE) init
ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	# create samples HTML documentation
	$(MAKE) samples
endif

	#we should generate html of thbook here too if possible
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -f man/therion-viewer.1
	cd samples && $(MAKE) clean
	dh_auto_clean
	dh_clean

# Build architecture-independent files here.
binary-indep:
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_installdirs

	# Add here commands to install the package into debian/therion.
#this stuff no longer needed from 0.2.14
#but it would be nice to put it back
#	install -d -o root -g root -m 755 debian/therion/usr/share/texmf/metapost/therion
#	install -d -o root -g root -m 755 debian/therion/usr/share/texmf/tex/therion
#	install -p -o root -g root -m 644 mpost/*.mp debian/therion/usr/share/texmf/metapost/therion/
#	install -p -o root -g root -m 644 tex/*.tex debian/therion/usr/share/texmf/tex/therion/
	dh_install
	dh_installdocs README
	dh_installdocs -ptherion-doc  thbook/thbook.pdf
ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	dh_installdocs -ptherion-doc samples.doc
endif
	dh_installdocs -ptherion-viewer loch/help/en/loch.htm
	#we need to clear out large generated files from samples before putting just source files in main package
	cd samples && $(MAKE) clean
	dh_installexamples --exclude=.tcl --exclude=Makefile samples thconfig therion.ini
	dh_installmenu
	dh_installmime
	dh_installman -ptherion man/therion.1 man/xtherion.1
	dh_installman -ptherion-viewer man/loch.1 man/therion-viewer.1
	dh_installchangelogs CHANGES
	dh_strip
	dh_compress -X.pdf -X.th -X.th2 -Xthconfig
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

get-orig-source: 
	wget -nc -nd http://therion.speleo.sk/download.php?package=therion

## therion 5.3.7

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
   thinit.o thdb1d.o thsvxctrl.o thdatastation.o thobjectid.o \
   thobjectsrc.o thgrade.o thlibrary.o thgeomag.o thbezier.o \
   thexport.o thexporter.o thselector.o extern/img.o \
-  thexpmodel.o thdb2d00.o thscrapis.o thcsdata.o thexptable.o \
+  thexpmodel.o thdb2d00.o thscrapis.o thcs.o thcsdata.o thexptable.o \
   thdb2d.o thscrap.o thendscrap.o th2ddataobject.o thdb2dprj.o \
   thdb2dpt.o thdb2dlp.o thdb2dab.o thdb2dji.o thdb2dmi.o thdb2dcp.o \
   thdb2dxm.o thdb2dxs.o thscraplo.o thscraplp.o thscrapen.o \
@@ -16,8 +16,9 @@
   thjoin.o thmap.o thexpmap.o thlayoutln.o thlayoutclr.o thexpsys.o thexpuni.o \
   thconvert.o thpdf.o thpdfdbg.o thpdfdata.o thtexfonts.o \
   thsymbolset.o thlang.o thmapstat.o thexpdb.o thpic.o thsketch.o thproj.o \
-  extern/lxMath.o extern/lxFile.o thcdt.o thdb3d.o thsurface.o thimport.o thsvg.o thepsparse.o \
+  extern/lxMath.o extern/lxFile.o thdb3d.o thsurface.o thimport.o thsvg.o thepsparse.o \
   thtrans.o thwarpp.o thwarppt.o thwarppme.o thwarp.o thexpshp.o thattr.o thtex.o \
+  extern/poly2tri/common/shapes.o extern/poly2tri/sweep/advancing_front.o extern/poly2tri/sweep/sweep.o extern/poly2tri/sweep/cdt.o extern/poly2tri/sweep/sweep_context.o \
   therion.o extern/proj4/libproj.a 
 
 # PLATFORM CONFIG
@@ -98,7 +99,7 @@
 
 # compiler settings
 CXXFLAGS = -Wall $(CXXPFLAGS) $(CXXBFLAGS)
-CCFLAGS = -Wall $(CCPFLAGS) $(CCBFLAGS)
+CCFLAGS = -DIMG_API_VERSION=1 -Wall $(CCPFLAGS) $(CCBFLAGS)
 OBJECTS = $(POBJECTS) $(CMNOBJECTS)
 
 
@@ -107,10 +108,12 @@
 LDFLAGS = $(LDBFLAGS)
 
 
-.SUFFIXES:
-.SUFFIXES: .cxx .o .h .c
+.SUFFIXES: .cxx .o .h .c .cc
 
 .cxx.o:
+	$(CXX) -c $(CXXFLAGS) -o $@ $<
+
+.cc.o:
 	$(CXX) -c $(CXXFLAGS) -o $@ $<
 
 .c.o:
@@ -188,7 +191,7 @@
 	make -C ./extern/proj4 clean
 	perl makefile.pl rm -q therion ./xtherion/xtherion ./xtherion/xtherion.tcl therion.exe *~ *.log *.o thchencdata/*~ .xtherion.dat
 	perl makefile.pl rm -q xtherion/*~ .xth_thconfig_xth xtherion/screendump thlang/*~
-	perl makefile.pl rm -q extern/*.o extern/*~ samples/*~ samples/*.log
+	perl makefile.pl rm -q extern/*.o extern/*~ extern/poly2tri/common/*.o extern/poly2tri/sweep/*.o samples/*~ samples/*.log
 	perl makefile.pl rm -q symbols.html therion.res
 	perl makefile.pl rm -q tri/*.o tri/*~
 	perl makefile.pl rm -q tex/*~
@@ -256,10 +259,11 @@
 extern/getopt.o: extern/getopt.c extern/getopt.h
 extern/getopt1.o: extern/getopt1.c
 extern/img.o: extern/img.c extern/img.h
-tri/construct.o: tri/triangulate.h tri/construct.c
-tri/misc.o: tri/triangulate.h tri/misc.c
-tri/monotone.o: tri/triangulate.h tri/monotone.c
-tri/tri.o: tri/triangulate.h tri/tri.c
+extern/poly2tri/common/shapes.o: extern/poly2tri/common/shapes.cc extern/poly2tri/common/shapes.h
+extern/poly2tri/sweep/advancing_front.o: extern/poly2tri/sweep/advancing_front.cc
+extern/poly2tri/sweep/sweep.o: extern/poly2tri/sweep/sweep.cc
+extern/poly2tri/sweep/cdt.o: extern/poly2tri/sweep/cdt.cc
+extern/poly2tri/sweep/sweep_context.o: extern/poly2tri/sweep/sweep_context.cc
 
 # DEPENDENCIES
 th2ddataobject.o: th2ddataobject.cxx th2ddataobject.h thdataobject.h \
@@ -268,23 +272,21 @@
  thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h thmapstat.h \
  thdate.h thperson.h thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h \
  thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h \
- thlayoutln.h thscrapen.h thscraplp.h thexception.h thsymbolset.h \
- thsymbolsetlist.h
+ thlayoutln.h thlayoutclr.h thscrapen.h thscraplp.h thexception.h \
+ thsymbolset.h thsymbolsetlist.h
 tharea.o: tharea.cxx tharea.h th2ddataobject.h thdataobject.h \
  thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
  thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
  thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h thmapstat.h \
  thdate.h thperson.h thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h \
  thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h \
- thlayoutln.h thscrapen.h thscraplp.h thexception.h thexpmap.h thexport.h \
- thsymbolset.h thsymbolsetlist.h thlayout.h thlocale.h thlang.h \
- thlangdata.h thline.h
+ thlayoutln.h thlayoutclr.h thscrapen.h thscraplp.h thexception.h \
+ thexpmap.h thexport.h thsymbolset.h thsymbolsetlist.h thlayout.h \
+ thlocale.h thlang.h thlangdata.h thline.h
 thattr.o: thattr.cxx thattr.h thmbuffer.h thchenc.h thchencdata.h \
  thparse.h thbuffer.h extern/shapefil.h thexception.h therion.h
 thbezier.o: thbezier.cxx thbezier.h
 thbuffer.o: thbuffer.cxx thbuffer.h
-thcdt.o: thcdt.cxx thcdt.h thcdt/geom2d.h thcdt/myMacro.h thcdt/cdt.h \
- thcdt/cdt.cpp
 thchenc.o: thchenc.cxx thchenc.h thchencdata.h thparse.h thbuffer.h \
  thmbuffer.h thchencdata.cxx therion.h thexception.h
 thchencdata.o: thchencdata.cxx
@@ -297,10 +299,10 @@
  thdataobject.h thperson.h thdate.h thdataleg.h thobjectname.h thinfnan.h \
  thdb1d.h thobjectid.h thdb3d.h thattr.h thdb2d.h thdb2dprj.h thmapstat.h \
  thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h \
- thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h \
- thscraplp.h thdatareader.h thcsdata.h thproj.h thlogfile.h thinit.h \
- thgeomag.h thgeomagdata.h thlayout.h thsymbolset.h thsymbolsetlist.h \
- thlocale.h thsketch.h thpic.h
+ thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thlayoutclr.h \
+ thscrapen.h thscraplp.h thdatareader.h thcsdata.h thproj.h thlogfile.h \
+ thinit.h thgeomag.h thgeomagdata.h thlayout.h thsymbolset.h \
+ thsymbolsetlist.h thlocale.h thsketch.h thpic.h
 thconvert.o: thconvert.cxx thpdfdbg.h thexception.h therion.h thbuffer.h \
  thpdfdata.h thepsparse.h thtexfonts.h
 thcsdata.o: thcsdata.cxx thcsdata.h thparse.h thbuffer.h thmbuffer.h
@@ -310,19 +312,20 @@
  thchenc.h thchencdata.h thdb2d.h thdb2dprj.h thmapstat.h thdate.h \
  thperson.h thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h \
  thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h \
- thscrapen.h thscraplp.h thtfangle.h thtf.h thtflength.h thtfpwf.h \
- thexception.h thsurvey.h thgrade.h thcsdata.h thdatareader.h thinput.h
+ thlayoutclr.h thscrapen.h thscraplp.h thtfangle.h thtf.h thtflength.h \
+ thtfpwf.h thexception.h thsurvey.h thgrade.h thcsdata.h thdatareader.h \
+ thinput.h
 thdatabase.o: thdatabase.cxx thdatabase.h thdataobject.h thperson.h \
  thparse.h thbuffer.h thmbuffer.h thdate.h thdataleg.h thobjectname.h \
  therion.h thobjectsrc.h thinfnan.h thdb1d.h thobjectid.h thdb3d.h \
  thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h thmapstat.h \
  thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h \
- thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h \
- thscraplp.h thsurvey.h thtfpwf.h thendsurvey.h thexception.h thdata.h \
- thtfangle.h thtf.h thtflength.h thcmdline.h thdatastation.h thgrade.h \
- thlayout.h thsymbolset.h thsymbolsetlist.h thlocale.h thscrap.h \
- thsketch.h thpic.h thtrans.h th2ddataobject.h thpoint.h thline.h \
- tharea.h thjoin.h thmap.h thimport.h thsurface.h thendscrap.h
+ thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thlayoutclr.h \
+ thscrapen.h thscraplp.h thsurvey.h thtfpwf.h thendsurvey.h thexception.h \
+ thdata.h thtfangle.h thtf.h thtflength.h thcmdline.h thdatastation.h \
+ thgrade.h thlayout.h thsymbolset.h thsymbolsetlist.h thlocale.h \
+ thscrap.h thsketch.h thpic.h thtrans.h th2ddataobject.h thpoint.h \
+ thline.h tharea.h thjoin.h thmap.h thimport.h thsurface.h thendscrap.h
 thdataleg.o: thdataleg.cxx thdataleg.h thparse.h thbuffer.h thmbuffer.h \
  thobjectname.h therion.h thobjectsrc.h thinfnan.h
 thdataobject.o: thdataobject.cxx thdataobject.h thdatabase.h thmbuffer.h \
@@ -330,17 +333,10 @@
  thobjectname.h therion.h thobjectsrc.h thdb3d.h thattr.h thchenc.h \
  thchencdata.h thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h \
  thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h \
- thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h \
- thscraplp.h thexception.h thsurvey.h thtfpwf.h thconfig.h thinput.h \
- thexporter.h thexport.h thselector.h thcsdata.h thproj.h
+ thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thlayoutclr.h \
+ thscrapen.h thscraplp.h thexception.h thsurvey.h thtfpwf.h thconfig.h \
+ thinput.h thexporter.h thexport.h thselector.h thcsdata.h thproj.h
 thdatareader.o: thdatareader.cxx thdatareader.h thdatabase.h \
  thdataobject.h thperson.h thparse.h thbuffer.h thmbuffer.h thdate.h \
  thdataleg.h thobjectname.h therion.h thobjectsrc.h thinfnan.h thdb1d.h \
  thobjectid.h thdb3d.h thattr.h thchenc.h thchencdata.h thdb2d.h \
- thdb2dprj.h thmapstat.h thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h \
- thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h \
- thlayoutln.h thscrapen.h thscraplp.h thinput.h thexception.h
-thdatastation.o: thdatastation.cxx thdatastation.h thdataobject.h \
- thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
- thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
- thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h thmapstat.h \

=== extern/proj4/Makefile ===
all:
	$(CC) *.c -c -I.
	ar cr libproj.a *.o

remove:
	rm -f proj.c gen_cheb.c p_series.c jniproj.c cs2cs.c \
	cs2cs.c gen_cheb.c p_series.c nad2nad.c nad2bin.c \
	geod.c geod_set.c geod_for.c geod_inv.c geodesic.h

clean:
	perl ../../makefile.pl rm *.o
	perl ../../makefile.pl rm *~
	perl ../../makefile.pl rm *.a

=== debian/changelog ===
therion (5.3.7-1) unstable; urgency=low

  * New upstream release
  * Use VTK 5.6 (Closes: #614457)
  * Include binutils-gold (Closes: #556672). Thanks Roy Jamison for
      the patch
  * Add gcc-4.5 fixes (CLoses: 624994)

 -- Wookey <wookey@debian.org>  Tue, 31 May 2011 00:33:30 +0100

therion (5.3.6-1) experimental; urgency=low

  * New upstream release

 -- Wookey <wookey@debian.org>  Sat, 19 Feb 2011 11:37:54 +0000

therion (5.3.5-2) experimental; urgency=low

  * Fix up desktop and mimetype files
  * Direct to experimental until after release

 -- Wookey <wookey@debian.org>  Thu, 18 Nov 2010 11:57:39 +0000

therion (5.3.5-1) unstable; urgency=low

  * New upstream release
  * Remove dependency on dbs (Closes: #576053)

 -- Wookey <wookey@debian.org>  Mon, 15 Nov 2010 21:30:00 +0000

=== debian/rules ===
--- 
+++ 
@@ -14,12 +14,11 @@
 
 	# Add here commands to compile the package.
 	$(MAKE)
-	/usr/bin/docbook-to-man debian/manloch.sgml > man/loch.1
 	ln -sf loch.1 man/therion-viewer.1
 	# create therion.ini file:
 	#$(MAKE) init
 ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
-	# create samples HTML documentation
+	# create HTML documentation for samples
 	$(MAKE) samples
 endif
 
@@ -32,7 +31,7 @@
 	rm -f build-stamp
 	# Add here commands to clean up after the build process.
 	rm -f man/therion-viewer.1
-	cd samples && $(MAKE) clean
+	#cd samples && $(MAKE) clean
 	dh_auto_clean
 	dh_clean
 
@@ -55,16 +54,16 @@
 #	install -p -o root -g root -m 644 tex/*.tex debian/therion/usr/share/texmf/tex/therion/
 	dh_install
 	dh_installdocs README
-	dh_installdocs -ptherion-doc  thbook/thbook.pdf
 ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
 	dh_installdocs -ptherion-doc samples.doc
 endif
 	dh_installdocs -ptherion-viewer loch/help/en/loch.htm
 	#we need to clear out large generated files from samples before putting just source files in main package
 	cd samples && $(MAKE) clean
-	dh_installexamples --exclude=.tcl --exclude=Makefile samples thconfig therion.ini
+	dh_installexamples -ptherion  --exclude=.tcl --exclude=Makefile --exclude=thTMPDIR samples thconfig therion.ini
 	dh_installmenu
 	dh_installmime
+	dh_icons
 	dh_installman -ptherion man/therion.1 man/xtherion.1
 	dh_installman -ptherion-viewer man/loch.1 man/therion-viewer.1
 	dh_installchangelogs CHANGES

## therion 5.3.8

=== debian/changelog ===
therion (5.3.8-1) unstable; urgency=low

  * New upstream release

 -- Wookey <wookey@debian.org>  Tue, 21 Jun 2011 00:46:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: therion
 Section: science
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Wookey <wookey@debian.org>
+Maintainer: Wookey <wookey@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), perl (>= 5.5), docbook-to-man, texlive-base, texlive-metapost, tcl8.5 | tclsh, libvtk5-dev, libwxgtk2.6-dev, libfreetype6-dev, libjpeg62-dev, libpng12-dev, imagemagick, ghostscript
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 
 Package: therion
 Architecture: any
-Depends: ${shlibs:Depends}, tcl8.5 | wish, texlive-base, texlive-metapost, bwidget
+Depends: ${shlibs:Depends}, ${misc:Depends}, tcl8.5 | wish, texlive-base, texlive-metapost, bwidget
 Recommends: evince | pdf-viewer, libtk-img, therion-viewer, survex
 Suggests: survex-aven, texlive-lang-czechslovak, texlive-lang-cyrillic
 Description: Cave surveying - 2D and 3D drawing software
@@ -16,13 +15,15 @@
  done over scans and can be distorted to fit the centreline data. Output is 
  in single sheet or atlas style PDF or SVG files. All data is stored in text 
  files and a map  editor (xtherion) is provided to aid in the creation of the 
- files. 
+ files. A wide range of co-ordinate systems is supported. 
  .
- Therion can also produce 3D models, generated from walls and passage-heights. 
- Output formats supported are Survex .3d files, VRML, DXF, SVG, shapefiles, 
- and the native .loc and older .thm (therion model). Therion is compatible with 
- Survex, and centreline data can be stored in Survex or Therion form. Centreline 
- data and sketches can be imported from PocketTopo.
+ Therion can also produce 3D models, generated from walls and
+ passage-heights.  Output formats supported are Survex .3d files, VRML, DXF,
+ SVG, shapefiles, and the native .lox. Scanned map overlays and relief data
+ can be incorporated into models. Therion is compatible with Survex, and
+ centreline data can be stored in Survex or Therion form. If survex is
+ installed it is used for loop closures. Centreline data and sketches can be
+ imported from PocketTopo, allowing full paperless surveying.
  .
  TeX and metapost are used to generate the images. libtk-img is needed to use 
  scans in formats other than GIF and PNM (such as PNG and JPEG).
@@ -46,6 +47,7 @@
 Section: doc
 Architecture: all
 Recommends: therion 
+Depends: ${misc:Depends}
 Replaces: therion (<< 0.5.0)
 Description: Documentation for Therion Cave surveying software 
  Therion is cave-survey drawing and modelling software. This package
@@ -53,4 +55,5 @@
  description language. This is not the easiest way to get started;
  there is much more documentation in the Therion wiki:
  http://therion.speleo.sk/wiki/doku.php with introductory guides, FAQs
- and examples. Read those first.
+ and examples. Read those first to get an understanding of how it is
+ used.

=== debian/rules ===
--- 
+++ 
@@ -78,6 +78,3 @@
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure
-
-get-orig-source: 
-	wget -nc -nd http://therion.speleo.sk/download.php?package=therion

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site
version=3
http://therion.speleo.sk/download.php  downloads/therion-(.*)\.tar\.gz
